Page MenuHomePhabricator

Buttons requiring a rationale on Curation toolbar appear to be broken
Closed, ResolvedPublic

Description

The buttons on the curation toolbar that require a rationale, currently result in the message, "Tag prod is missing required parameter".

(Was Clicking the "Tag" and "mark as reviewed" buttons currently does nothing.)

Event Timeline

Swpb created this task.Dec 19 2014, 1:46 PM
Swpb raised the priority of this task from to Unbreak Now!.
Swpb updated the task description. (Show Details)
Swpb added a project: PageCuration.
Swpb changed Security from none to None.
Swpb added a subscriber: Swpb.
Swpb lowered the priority of this task from Unbreak Now! to High.Dec 19 2014, 3:04 PM
Swpb raised the priority of this task from High to Unbreak Now!.
Swpb added a comment.Dec 19 2014, 3:43 PM

Automatic messaging of the page creator is also broken.

Change 181191 had a related patch set uploaded (by Mattflaschen):
Replace .live function calls with .on

https://gerrit.wikimedia.org/r/181191

Patch-For-Review

Quiddity said on-wiki that there is a code freeze until January 7. This is currently preventing anyone doing new page patrol. Over the Christmas/New Years break, lots of volunteers may want to spend some of their hard-earned time off working on the wiki, perhaps by patrolling the new page feed. Not being able to do this is pretty major breakage and is very disruptive to the running of the 'pedia.

Quiddity updated the task description. (Show Details)Dec 20 2014, 12:59 AM

Change 181191 merged by jenkins-bot:
Replace .live function calls with .on

https://gerrit.wikimedia.org/r/181191

Change 181226 had a related patch set uploaded (by Mattflaschen):
Replace .live function calls with .on

https://gerrit.wikimedia.org/r/181226

Patch-For-Review

Change 181226 merged by jenkins-bot:
Replace .live function calls with .on

https://gerrit.wikimedia.org/r/181226

Change 181227 had a related patch set uploaded (by Mattflaschen):
Replace .live function calls with .on

https://gerrit.wikimedia.org/r/181227

Patch-For-Review

Change 181227 merged by jenkins-bot:
Replace .live function calls with .on

https://gerrit.wikimedia.org/r/181227

I asked for confirmation from users that everything was good, and
Imaginatorium replied that:

No. I still get "Tag speedy deletion-duplicate article is missing required parameter." when I try to enter the article name. I'm not sure if this is exactly the same problem as above, but I cannot seem to do anything with the curation tool as of a couple of days ago. Imaginatorium (talk) 03:49, 20 December 2014 (UTC)

Swpb added a comment.Dec 22 2014, 6:00 PM

The issue is not entirely fixed. Proposed deletion still reports "Tag subst:prod is missing required parameter" when the parameter has been provided. I have not confirmed all the other functionalities.

Kudpung wrote, "the button for adding the required rationales for COPYVIO and PROD is in fact dead".
Confirmed at testwiki:


There are no useful details in webconsole, even with ?debug=1

Quiddity reopened this task as Open.Dec 22 2014, 6:48 PM
Quiddity renamed this task from "Tag" and "mark as reviewed" buttons on Curation toolbar appear to be broken. to Buttons requiring a rationale on Curation toolbar appear to be broken..Dec 22 2014, 7:02 PM
Quiddity updated the task description. (Show Details)

Change 181532 had a related patch set uploaded (by Spage):
Fix PageTriage JS dialog parameter

https://gerrit.wikimedia.org/r/181532

Patch-For-Review

If all the remaining problems like with user-entered deletion details, then I hope my patch fixes them. Thanks for curating over the holidays!

Change 181532 merged by jenkins-bot:
Fix PageTriage JS dialog parameter

https://gerrit.wikimedia.org/r/181532

Spage reopened this task as Open.Dec 23 2014, 3:30 AM
Spage removed Mattflaschen-WMF as the assignee of this task.
Spage removed a project: Patch-For-Review.
Spage added a subscriber: WMF-Server-Backports.
He7d3r renamed this task from Buttons requiring a rationale on Curation toolbar appear to be broken. to Buttons requiring a rationale on Curation toolbar appear to be broken.Dec 23 2014, 7:04 PM
Mattflaschen-WMF closed this task as Resolved.Dec 24 2014, 6:59 PM

Change 181752 had a related patch set uploaded (by Spage):
Fix PageTriage JS dialog parameter

https://gerrit.wikimedia.org/r/181752

Patch-For-Review

Change 181753 had a related patch set uploaded (by Spage):
Fix PageTriage JS dialog parameter

https://gerrit.wikimedia.org/r/181753

Patch-For-Review

Change 181753 merged by jenkins-bot:
Fix PageTriage JS dialog parameter

https://gerrit.wikimedia.org/r/181753

Change 181752 merged by jenkins-bot:
Fix PageTriage JS dialog parameter

https://gerrit.wikimedia.org/r/181752

ori told us to "Just do it", so we backported on Christmas eve.